import React from 'react';
export declare const Section: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
/**
 * Provides a container that horizontally centers its contents
 */
export declare const CenteredSection: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
/**
 * Provides a container that removes the left and right padding
 * provided by `Content`, using a negative margin
 */
export declare const EdgeToEdgeSection: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
interface ScrollSectionProps {
    readonly className?: string;
    readonly maxHeight?: string;
    readonly scrollRef: React.Dispatch<React.SetStateAction<HTMLElement | null>>;
}
export declare const ScrollSection: React.FunctionComponent<ScrollSectionProps>;
export declare const MainSection: import("styled-components").StyledComponent<React.FunctionComponent<ScrollSectionProps>, import("styled-components").DefaultTheme, {
    readonly hasHeader: boolean;
    readonly scrollRef: React.Dispatch<React.SetStateAction<HTMLElement | null>>;
}, never>;
export {};
