"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.range = exports.move = exports.isElementDisabled = void 0;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var range = length => [...Array(length).keys()];

exports.range = range;

var move = (arrRange, locked, from, to) => {
  var p = 0;
  return arrRange.map(i => {
    if (locked[i]) {
      return i;
    }

    if (i === to) {
      return from;
    }

    while (locked[p] || p === from) {
      p++;
    }

    return p++;
  });
};

exports.move = move;

var isElementDisabled = el => /*#__PURE__*/_react.default.isValidElement(el) ? el.props.disabled === true : false;

exports.isElementDisabled = isElementDisabled;